> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Payment Proof Files

> Lists payment-proof records and their files for a warrant.

Not available to API keys yet. It will need `grants:read`.

## OpenAPI

````yaml api-reference/openapi.json GET /platform/get-payment-proof-files
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /platform/get-payment-proof-files:
    get:
      operationId: getPaymentProofFiles
      summary: Get Payment Proof Files
      description: |-
        Lists payment-proof records and their files for a warrant.

        Not available to API keys yet. It will need `grants:read`.
      parameters:
        - name: warrantID
          in: query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetPaymentProofFilesResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetPaymentProofFilesResponse:
      type: array
      items:
        type: object
        properties:
          paymentProofID:
            type: string
          roleInOrgID:
            type: string
          investorEntityID:
            type:
              - string
              - 'null'
          fileID:
            type: string
          createdAt:
            type: string
          updatedAt:
            type: string
          warrantID:
            type:
              - string
              - 'null'
          file:
            type: object
            properties:
              fileID:
                type: string
              orgID:
                type: string
              fileName:
                type: string
              mimeType:
                type: string
              fileKey:
                type: string
              fileBucket:
                type: string
              fileUploaded:
                type:
                  - string
                  - 'null'
              fileSizeInBytes:
                oneOf:
                  - type: string
                  - type: number
              createdByUserID:
                type:
                  - string
                  - 'null'
              createdAt:
                type: string
              updatedAt:
                type: string
              legacyMigratedAt:
                type:
                  - string
                  - 'null'
              legacyModelID:
                type:
                  - number
                  - 'null'
              type:
                type: string
              fileURL:
                type: string
              fileDownloadURL:
                type: string
            required:
              - fileID
              - orgID
              - fileName
              - mimeType
              - fileKey
              - fileBucket
              - fileUploaded
              - fileSizeInBytes
              - createdByUserID
              - createdAt
              - updatedAt
              - legacyMigratedAt
              - legacyModelID
              - type
              - fileURL
              - fileDownloadURL
        required:
          - paymentProofID
          - roleInOrgID
          - investorEntityID
          - fileID
          - createdAt
          - updatedAt
          - warrantID
          - file
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
